var url = 'https://ciformall.youlane.cn'
//var url = 'http://localhost:8001'
var apiPrefix = url + '/C';
var config = {
  name: "富茂",
  api: {
    /**
     * 接口用途:login
     */
    login: '/api/user/login',
    /**
     * 授权后获取用户的昵称,unionId等信息
     */
    getUserInfo: '/api/user/getUserInfo',
    /**
     * 接口用途:授权后获取用户的手机号
     */
    getUserPhone: '/api/user/getUserPhone',
    /**
     * 优惠券查询
     */
    couponList: '/wxCoupon/list',
    /**
     * 优惠券详情
     */
    couponDetail: '/wxCoupon/findById',
    /**
     * 下订单
     */
    orderSave: '/api/order/save',
    /**
     * 支付订单
     */
    payOrderCreate: '/api/pay/create',
    /**
     * 订单状态更新
     */
    payOrderUpdate: '/api/pay/updatePayOrder',
    /**
     * 订单列表
     */
    orderList: '/api/order/list',
  },

  weapp: {
    AppId: 'wx649b3be73c1afe47',
  }
};

for (var key in config.api) {
  config.api[key] = apiPrefix + config.api[key];
}

module.exports = config;